csAddonReference Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
csAddonReference Class Reference

An object representing an addon. More...

`#include <cstool/saverref.h>`

Inheritance diagram for csAddonReference:

List of all members.

## Public Member Functions
| csAddonReference (const char *plugin, const char *paramsfile, iBase *addonobj=0)
| The constructor.
virtual iBase * | GetAddonObject () const
| Get the object that the addon references.
virtual const char * | GetParamsFile () const
| Get the file name of the params file.
virtual const char * | GetPlugin () const
| Get the SCF name of the plugin.
virtual iObject * | QueryObject ()
| Get the iObject for this interface.
void | SelfDestruct ()
| Remove me!
virtual | ~csAddonReference ()
| The destructor.

## Detailed Description

An object representing an addon.

Definition at line 95 of file saverref.h.

## Constructor & Destructor Documentation

csAddonReference::csAddonReference | ( | const char * | plugin,
|  | const char * | paramsfile,
|  | iBase * | addonobj = `0`
| ) |  |

The constructor.

virtual csAddonReference::~csAddonReference | ( |  | ) | `[virtual]`

The destructor.

## Member Function Documentation

virtual iBase* csAddonReference::GetAddonObject | ( |  | ) | const`[virtual]`

Get the object that the addon references.

Implements iAddonReference.

virtual const char* csAddonReference::GetParamsFile | ( |  | ) | const`[virtual]`

Get the file name of the params file.

Implements iAddonReference.

virtual const char* csAddonReference::GetPlugin | ( |  | ) | const`[virtual]`

Get the SCF name of the plugin.

Implements iAddonReference.

virtual iObject* csAddonReference::QueryObject | ( |  | ) | `[inline, virtual]`

Get the iObject for this interface.

Implements iAddonReference.

Definition at line 118 of file saverref.h.

void csAddonReference::SelfDestruct | ( |  | ) | `[inline, virtual]`

Remove me!

Implements iSelfDestruct.

Definition at line 120 of file saverref.h.

The documentation for this class was generated from the following file:

- cstool/saverref.h